summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--academic/solfege/Makefile.in_fix.patch15
-rw-r--r--academic/solfege/README17
-rw-r--r--academic/solfege/doinst.sh18
-rw-r--r--academic/solfege/python-mpd_fix.patch14
-rw-r--r--academic/solfege/slack-desc19
-rw-r--r--academic/solfege/solfege.SlackBuild78
-rw-r--r--academic/solfege/solfege.info8
7 files changed, 169 insertions, 0 deletions
diff --git a/academic/solfege/Makefile.in_fix.patch b/academic/solfege/Makefile.in_fix.patch
new file mode 100644
index 0000000000..ed4b90528e
--- /dev/null
+++ b/academic/solfege/Makefile.in_fix.patch
@@ -0,0 +1,15 @@
+Patch generated 20081031 by Phillip Warner <pc_warner@yahoo.com>
+Permission granted to use this patch as you see fit.
+
+diff -ru solfege-3.10.4.orig/Makefile.in solfege-3.10.4/Makefile.in
+--- solfege-3.10.4.orig/Makefile.in 2008-10-31 11:43:41.000000000 -0500
++++ solfege-3.10.4/Makefile.in 2008-10-31 11:44:46.000000000 -0500
+@@ -139,7 +139,7 @@
+ compileall:
+ ifneq (x"$(nopycompile)",xYES)
+ for dir in src mpd soundcard; do\
+- $(PYTHON) -c "import compileall; compileall.compile_dir('$(datadir)/$(PACKAGE)/$$dir')" ;\
++ $(PYTHON) -c "import compileall; compileall.compile_dir('$(DESTDIR)/$(datadir)/$(PACKAGE)/$(dir)')" ;\
+ done
+ endif
+
diff --git a/academic/solfege/README b/academic/solfege/README
new file mode 100644
index 0000000000..73cc452791
--- /dev/null
+++ b/academic/solfege/README
@@ -0,0 +1,17 @@
+Solfege is free music education software.
+
+Use it to train your rhythm, interval, scale and chord skills.
+Solfege - Smarten your ears!
+
+Features
+ * Recognise melodic and harmonic intervals
+ * Compare interval sizes
+ * Sing the intervals the computer asks for
+ * Identify chords
+ * Sing chords
+ * Scales
+ * Dictation
+ * Remembering rhythmic patterns
+
+TiMidity++ and freepats are recommended packages to install before building
+solfege. Both have SlackBuilds found at SlackBuilds.org.
diff --git a/academic/solfege/doinst.sh b/academic/solfege/doinst.sh
new file mode 100644
index 0000000000..e2c5000afb
--- /dev/null
+++ b/academic/solfege/doinst.sh
@@ -0,0 +1,18 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/solfege.new
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
+fi
diff --git a/academic/solfege/python-mpd_fix.patch b/academic/solfege/python-mpd_fix.patch
new file mode 100644
index 0000000000..e3a2353beb
--- /dev/null
+++ b/academic/solfege/python-mpd_fix.patch
@@ -0,0 +1,14 @@
+diff -ru solfege-3.10.4-orig/run-solfege.py.in solfege-3.10.4/run-solfege.py.in
+--- solfege-3.10.4-orig/run-solfege.py.in 2008-04-29 12:31:56.000000000 -0500
++++ solfege-3.10.4/run-solfege.py.in 2008-10-31 13:55:37.000000000 -0500
+@@ -31,8 +31,8 @@
+ # variables. Example dir: Gehör
+ prefix = prefix.decode(sys.getfilesystemencoding())
+ os.chdir(os.path.join(prefix, "share", "solfege"))
+-sys.path.append(os.path.join(prefix, "lib", "solfege"))
+-sys.path.append(os.path.join(prefix, "share", "solfege"))
++sys.path.insert(0, os.path.join(prefix, "lib", "solfege"))
++sys.path.insert(0, os.path.join(prefix, "share", "solfege"))
+
+ import src
+ import src.cfg
diff --git a/academic/solfege/slack-desc b/academic/solfege/slack-desc
new file mode 100644
index 0000000000..ef1e15ad5c
--- /dev/null
+++ b/academic/solfege/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+solfege: solfege (music education software)
+solfege:
+solfege: Use solfege to to train your rhythm, interval, scale, and chord
+solfege: skills.
+solfege:
+solfege: http://www.solfege.org/
+solfege:
+solfege:
+solfege:
+solfege:
+solfege:
diff --git a/academic/solfege/solfege.SlackBuild b/academic/solfege/solfege.SlackBuild
new file mode 100644
index 0000000000..8939aa8926
--- /dev/null
+++ b/academic/solfege/solfege.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for solfege
+# Written by Phillip Warner <pc_warner@yahoo.com>
+
+PRGNAM=solfege
+VERSION=${VERSION:-3.10.4}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# fix Makefile.in so python scripts will compile correctly
+patch -p1 < $CWD/Makefile.in_fix.patch
+
+# This Makes mpd imports work correctly in case python-mpd is installed
+patch -p1 < $CWD/python-mpd_fix.patch
+
+CFLAGS="$SLKCFLAGS" \
+CPPFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/man
+
+CFLAGS="$SLKCFLAGS" make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mv $PKG/etc/solfege $PKG/etc/solfege.new
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING README ChangeLog changelog FAQ INSTALL \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/academic/solfege/solfege.info b/academic/solfege/solfege.info
new file mode 100644
index 0000000000..1f8da9c9b0
--- /dev/null
+++ b/academic/solfege/solfege.info
@@ -0,0 +1,8 @@
+PRGNAM="solfege"
+VERSION="3.10.4"
+HOMEPAGE="http://www.solfege.org/"
+DOWNLOAD="http://downloads.sourceforge.net/solfege/solfege-3.10.4.tar.gz"
+MD5SUM="74705388c446a10ed574e68bcd3134d4"
+MAINTAINER="Phillip Warner"
+EMAIL="pc_warner@yahoo.com"
+APPROVED="dsomero"